-- ***************************************************************** 
--                                                                   
-- Licensed Materials - Property of IBM                              
--                                                                   
-- 5724-U69                                                          
--                                                                   
-- Copyright IBM Corp. 2013  All Rights Reserved.                    
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
--                                                                   
-- ***************************************************************** 

CREATE TABLESPACE @TSPRE@RTP1
	IN @DB_NAME@
 	USING STOGROUP @STOGRP@
 	CCSID UNICODE
 	SEGSIZE 32
 	DEFINE NO
 	LOCKSIZE ANY
 	BUFFERPOOL @BPTABLE32K@;

CREATE LOB TABLESPACE @TSPRE@LTP1
 	IN @DB_NAME@
 	USING STOGROUP @STOGRP@
 	BUFFERPOOL @BPLOB@;

CREATE LOB TABLESPACE @TSPRE@LTP2
 	IN @DB_NAME@
 	USING STOGROUP @STOGRP@
 	BUFFERPOOL @BPLOB@;

CREATE LOB TABLESPACE @TSPRE@LTP3
 	IN @DB_NAME@
 	USING STOGROUP @STOGRP@
 	BUFFERPOOL @BPLOB@;

CREATE LOB TABLESPACE @TSPRE@LTP4
 	IN @DB_NAME@
 	USING STOGROUP @STOGRP@
 	BUFFERPOOL @BPLOB@;

CREATE LOB TABLESPACE @TSPRE@LTP5
 	IN @DB_NAME@
 	USING STOGROUP @STOGRP@
 	BUFFERPOOL @BPLOB@;
 	

------------- Tablespaces for Business Space

CREATE TABLESPACE @TSPRE@BS
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL @BPTABLE8K@
  CCSID UNICODE;

----------------------------------------------------------------------

CREATE LOB TABLESPACE @TSPRE@BB
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL @BPLOB@;
