if(!dojo._hasResource["com.ibm.mm.builder.model.Runtimemodel"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.model.Runtimemodel"] = true;
dojo.provide("com.ibm.mm.builder.model.Runtimemodel");

dojo.require("com.ibm.mashups.builder.Model");
dojo.require("com.ibm.mm.builder.model.Page");
dojo.require("com.ibm.mm.builder.model.Theme");
dojo.require("com.ibm.mm.builder.model.ContextMenu");

/**
 * Implementation of builder runtime model
 */
dojo.declare( "com.ibm.mm.builder.model.RuntimeModelImpl", [com.ibm.mashups.builder.model.RuntimeModel], {
    
	page:null,
	
	theme:null,
	
	contextMenu:null,
	
	getCurrentContextMenu: function() {
		if (!this.contextMenu){
			this.contextMenu = new com.ibm.mm.builder.model.ContextMenuImpl();
		}
        return this.contextMenu;
    },
    
	getCurrentPage: function() {
		if (!this.page){
			this.page = new com.ibm.mm.builder.model.PageImpl();
		}
        return this.page;
    },
    
    getCurrentTheme: function() {
    	if (!this.theme){
    		this.theme = new com.ibm.mm.builder.model.ThemeImpl();
    	}
        return this.theme;
    }
    
});

}
